<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>tests/run.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/tests/run.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/run.php</h1>
<div class="comment" id="overview_description"><p>Start the testsuite here.</p><p>Will adjust error reporting. For clean results, this has to be done outside of the file where the testsuite
is actually built (test.php).</p><p>Makes sure the test dirs are in the include path.</p></div>

<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>    
<a name="line3"></a>    /**
<a name="line4"></a>     * Start the testsuite here.
<a name="line5"></a>     *
<a name="line6"></a>     * Will adjust error reporting. For clean results, this has to be done outside of the file where the testsuite
<a name="line7"></a>     * is actually built (test.php).
<a name="line8"></a>     *
<a name="line9"></a>     * Makes sure the test dirs are in the include path.
<a name="line10"></a>     */
<a name="line11"></a>    
<a name="line12"></a>    error_reporting(error_reporting() & ~2048 & ~8192); // Make sure E_STRICT and E_DEPRECATED are disabled
<a name="line13"></a>    
<a name="line14"></a>    $testdir = dirname(__FILE__).DIRECTORY_SEPARATOR;
<a name="line15"></a>    $casedir = $testdir.'cases'.DIRECTORY_SEPARATOR;
<a name="line16"></a>    
<a name="line17"></a>    set_include_path(get_include_path().PATH_SEPARATOR.$testdir.PATH_SEPARATOR.dirname($testdir)); // make sure the phpDoctor dirs are in the include path
<a name="line18"></a>    chdir($testdir);
<a name="line19"></a>    
<a name="line20"></a>    if (!file_exists($casedir.'tmp')) mkdir( $casedir.'tmp');
<a name="line21"></a>    if (!file_exists($casedir.'output')) mkdir( $casedir.'output');
<a name="line22"></a>    
<a name="line23"></a>    include('test.php');
<a name="line24"></a>    
<a name="line25"></a>?></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/tests/run.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>